    import {NativeLoader} from '@solana/web3'

public class | source

# NativeLoader

Factory class for transactions to interact with a program loader

## Static Member Summary

Static Public Members
public static get | programId: PublicKey Public key that identifies the NativeLoader |

## Static Method Summary

Static Public Methods
public static | async load(connection: Connection, owner: Account, programName: string): Promise<PublicKey> Loads a native program |

## Static Public Members

### public static get programId: PublicKey source

Public key that identifies the NativeLoader

## Static Public Methods

### public static async load(connection: Connection, owner: Account, programName: string): Promise<PublicKey> source

Loads a native program

#### Params:

Name | Type | Attribute | Description
connection | Connection |  | The connection to use
owner | Account |  | User account to load the program with
programName | string |  | Name of the native program

#### Return:

Promise<PublicKey>